Bug 804796 - wrong email validation when creating new user
wrong email validation when creating new user
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.ER02
Unspecified Unspecified
unspecified Severity high
: ---
: 5.2.1.ER03
Assigned To: Thomas Heute
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 15:40 EDT by vramik
Modified: 2013-09-02 01:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8629 by chris.laprun at 2012-03-22 06:34:48 EDT (show)
8629 by chris.laprun at 2012-03-22 06:34:48 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 804796 - wrong email validation when creating new user: added more tests and prevented array out of bounds exception.

2 files changed:

  • epp/portal/branches/EPP_5_2_Branch/webui/core/src/main/java/org/exoplatform/webui/form/validator/EmailAddressValidator.java (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/webui/core/src/test/java/org/exoplatform/webui/test/validator/TestWebuiValidator.java (+3 / -0)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2393 Major Resolved WebUI validator error messages improvements 2012-10-31 04:29:07 EDT

  None (edit)
Description vramik 2012-03-19 15:40:33 EDT
Description of problem:
When create new user and type invalid email, corresponding message isn't shown. It is shown message which says: "0".

Steps to Reproduce:
1. open portal and sign in as a root.
2. go to new staff
3. type correct values into inputs and type '@' into email address
4. click save
5. see message

Note You need to log in before you can comment on or make changes to this bug.